sc::Thread(3)

NAME
sc::Thread - The Thread abstract class defines an interface which must be implemented by classes wishing to be run as threads.

SYNOPSIS

#include <thread.h>

Inherited by sc::CSGrad34Qbtr, sc::CSGradErep12Qtr, sc::CSGradS2PDM, sc::GBuild, sc::HSOSV1Erep1Qtr, and sc::TBGrad.

  Public Methods
Thread ()
virtual ~Thread ()
virtual void run ()=0
This is called with the Thread is run from a ThreadGrp.

  Static Public Methods
void * run_Thread_run (void *thread)

DETAILED DESCRIPTION

The Thread abstract class defines an interface which must be implemented by classes wishing to be run as threads.

AUTHOR

Generated automatically by Doxygen for MPQC from the source code.